const libs = `${process.cwd()}/libs`;

const config = require(`${libs}/config`);

const log = require(`${libs}/log`)(module);

const mongoose = require('mongoose');

module.exports = () => {
    // Get mongodb URI (ip and port) in config file
    const mongoUri = config.get('mongodb:uri');
    log.debug(`Connecting to MongDB on URI ${mongoUri}`);
    // Connection singleton
    const db = mongoose.connect(mongoUri);

    mongoose.connection.once('open', () => { log.info("MongoDB connected"); });

    return db;
};
